#ifndef __PBUFFER_H__
#define __PBUFFER_H__

#define MAX_QUEUE_SIZE (512)
#define MAX_CBUFFER_SIZE (512)

#include <stdbool.h>
#include <stdio.h>
#include <string.h>

typedef enum PB_STATUS
{
	PB_GOOD = 0,
	PB_BAD = 1,
	PB_BAD_BUFFER_SIZE = 2,
	PB_NULL_BUFFER = 3,
	PB_NULL_DATA = 4,
	PB_EMPTY_QUEUE = 5,
	PB_FULL_QUEUE = 6
} PB_STATUS;

#endif
